#!/bin/bash

JAVA_VER=$(java -version 2>&1 >/dev/null | grep 'version' | awk -F '"' '{print $2}' | awk -F'.' '{print $1}')
MIN_JAVA_VER=11

if [ "$JAVA_VER" -lt "$MIN_JAVA_VER" ]; then
    echo "Se requiere Java version 11 o superior."
    exit 1
fi

# Se asume que javafx/lib está en el mismo directorio que este script.
PRINCIPAL_FOLDER_PATH="$(dirname "$(readlink -f "$0")")"

java --module-path "$PRINCIPAL_FOLDER_PATH/javafx-lin/lib" --add-modules javafx.controls,javafx.fxml -jar "$PRINCIPAL_FOLDER_PATH/websat.jar"
