#!/bin/bash

# Obtener la versión de Java instalada en el sistema
JAVA_VER=$(java -version 2>&1 >/dev/null | grep 'version' | awk -F '"' '{print $2}' | awk -F'.' '{print $1}')
MIN_JAVA_VER=11

# Verificar si la versión de Java instalada es suficiente
if [ "$JAVA_VER" -lt "$MIN_JAVA_VER" ]; then
    echo "Se requiere Java versión 11 o superior."
    exit 1
fi

# Directorio principal donde se encuentra el script
PRINCIPAL_FOLDER_PATH="$(cd "$(dirname "$0")" && pwd)"

# Ejecutar el archivo JAR de la aplicación JavaFX
java --module-path "$PRINCIPAL_FOLDER_PATH/javafx-mac/lib" --add-modules javafx.controls,javafx.fxml -jar "$PRINCIPAL_FOLDER_PATH/websat.jar"
